{
    "path": "$OET_PATH/testcases/function_test/pkg_test/annobin/annobin",
    "machine num": 1,
    "cases": [
        {
            "name": "test_annobin_function_install",
            "desc": "Test the installation of annobin package"
        },
        {
            "name": "test_annobin_run-on-binaries-in_h",
            "desc": "测试 run-on-binaries-in 命令的 -h 参数，显示帮助信息并退出"
        },
        {
            "name": "test_annobin_run-on-binaries-in_p_prefix",
            "desc": "测试 run-on-binaries-in 命令的 -p=<TEXT> 参数，为正常输出添加前缀"
        },
        {
            "name": "test_annobin_run-on-binaries-in_t_tmpdir",
            "desc": "测试 run-on-binaries-in 命令的 -t=<DIR> 参数，指定临时目录用于打开归档文件"
        },
        {
            "name": "test_annobin_run-on-binaries-in_f_files-from",
            "desc": "测试 run-on-binaries-in 命令的 -f=<FILE> 参数，处理文件列表中的文件"
        },
        {
            "name": "test_annobin_built-by_h",
            "desc": "测试built-by命令的帮助选项"
        },
        {
            "name": "test_annobin_built-by_nottool",
            "desc": "测试built-by命令的跳过指定工具构建的二进制文件选项"
        },
        {
            "name": "test_annobin_check-abi_h",
            "desc": "测试 check-abi 命令的帮助选项。"
        },
        {
            "name": "test_annobin_check-abi_v",
            "desc": "测试 check-abi 命令的版本选项。"
        },
        {
            "name": "test_annobin_check-abi_ignore_unknown",
            "desc": "测试 check-abi 命令忽略未知类型文件的选项。"
        },
        {
            "name": "test_annobin_check-abi_combination_i_ignore_ABI",
            "desc": "测试 check-abi 命令同时使用仅报告不一致和忽略 ABI 检查的选项。"
        },
        {
            "name": "test_annobin_run-on-binaries-in__v",
            "desc": "测试使用-v选项报告脚本版本"
        },
        {
            "name": "test_annobin_function_help",
            "desc": "Test help output for all tools"
        }
    ]
}